# FairMQ: fair::mq::shmem::SegmentBufferShrink Struct Reference

fair::mq::shmem::SegmentBufferShrink Struct Reference
Inheritance diagram for fair::mq::shmem::SegmentBufferShrink:
[legend]
Collaboration diagram for fair::mq::shmem::SegmentBufferShrink:
[legend]

## Public Member Functions

| SegmentBufferShrink (const size_t _new_size, char *_local_ptr)
template<typename S >
char * | operator() (S &s) const

## Public Attributes

const size_t | new_size
char * | local_ptr

The documentation for this struct was generated from the following file:

- fairmq/shmem/Common.h

privacy